#include<iostream>
#include<cmath>
#include<math.h>
using namespace std;

int main()
{
	int a,n,i;
	double t;
	
	cin>>n;
	for(i=2;i<=n;i++){
		if(i==2){
			b=2,
			t=1;}
			
		
			
		for(a=2;a<i;a++){
			
			if(i%a==0){
				break;
			}else{
				if(a==i-1){
					t=1/b;
					}
				
					
			}
			
				
		}
	}
	
	return 0;
	
}
